#include<math.h>
#include<iostream>
using namespace std;
int poznanstvo(int a,int b,int A[])
{
int x=A[a];
int y=A[b];
int t;
if(x>0&&y>0)
t=1;
else if(x<0&&y<0)
t=-1;
else if(x==0&&y==0)
t=0;
else if(sqrt(pow(x,2))>sqrt(pow(y,2)))
{
if(x>0)
t=1;
else t=-1;
}
else if(y>0)
t=1;
else t=-1;
return t;
}
main()
{
int N,M;
cin>>N>>M;
int A[N],t;
int S=0;
for(int i=1;i<=N;i++)
cin>>A[i];
int B[M][2];
for(int i=1;i<=M;i++)
cin>>B[i][1]>>B[i][2];
for(int i=1;i<=N;i++)
{
t=0;
for(int j=1;j<=M;j++)
{
if(B[j][1]==i||B[j][2]==i)
{
t+=poznanstvo(B[j][1],B[j][2],A);
}
}
S+=A[i]*t;
}
cout<<S;
}